html 
    head 
        style 
            include ../public/css/index.css
            
        title Tournament
    body

        ul(class="nav-list") 
            li(class="nav-item"): a(href='/', title='Home' class="nav-link") Home         
            if username
                li(class="nav-item"): a(href='/my-tournaments' class="nav-link") My tournaments
                li(class="nav-item"): a(href='/logout' class="nav-link") Logout

            else
                li(class="nav-item"): a(href='/login', title='Login' class="nav-link") Login
                li(class="nav-item"): a(href='/sign-up', title='Sign up' class="nav-link singup-link") Sign up 

        h1(class="main-title") Tournaments generator

        div(class="page-content")
            if(username)
                h2(class="welcome-title") Welcome, #{username}!
            else
                h2(class="welcome-title") Welcome!
                p(class="info") Login to create a tournament.
            
            p(class="description") This page lets you create tournaments for monitoring competitions that take place according to the one-round competition system. 
            p(class="description") The competition can be defined by a registered user by entering the name of the tournament, the list of competitors (competitors are separated by a new line) and choosing a scoring system in the form of wins/draws/losses, eg. 3/1/0 (football), 2/0/1 (basketball) and similar.
            p(class="description") The application generates the entire games schedule and allows the user who created the competition to enter the results.
            p(class="description") After entering the results, the application updates the standings of the competitors based on available results.
            p(class="description") The number of competitors is limited to 4 to 8 competitors.
            p(class="description") The page with the results and current standings of a competition is publicly available via a specially generated link for that competition. The link is visible to the user who created the competition and can share it with the competitors.
            p(class="description") Users can login and signup to use the application using the OpenId Connect (OIDC) protocol and Auth0 service. Singup using Google is also available.

        if(username)
            
            div(class="new-tournament-form")
                h3(class="tournament-entry-title") Tournament Entry

                form(action="/my-tournaments", method="post")
                    label(for="name") Tournament name: 
                    input(type="text" name="name", required)
                    label(for="contestants") List of contestants: 
                    textarea#contestants(name="contestants", cols="30", rows="4", placeholder="Enter one player/team per line...", required)
                    h4(class="section-title") Scoring system
                    label(for="win_points") Win points: 
                    input(type="number", name="win_points" min="0", required)
                    label(for="tie_points") Tie points: 
                    input(type="number", name="tie_points" min="0", required)
                    label(for="defeat_points") Defeat points: 
                    input(type="number", name="defeat_points" min="0", required)
                    input(type="submit", value="Create")
